Bug 1100852 - [RFE] [RHEVM] [neutron integration] engine should monitor neutron-openvswitch-agent
Summary: [RFE] [RHEVM] [neutron integration] engine should monitor neutron-openvswitch...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.OpenStack
Version: ---
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: Yaniv Lavi
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 15:10 UTC by Martin Pavlik
Modified: 2016-07-20 10:02 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 10:02:21 UTC
oVirt Team: Network
ylavi: ovirt-future?
ylavi: planning_ack-
mpavlik: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1102018 None CLOSED PRD35 - [RFE] Drop Linux bridge plugin support from neutron integration 2018-10-17 12:19:53 UTC

Description Martin Pavlik 2014-05-23 15:10:33 UTC
Description of problem:
if neutron agent on host dies there is no log nor GUI event to notify the user about the fact

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.4.0-0.21.el6ev 

additonal info:

neutron agent was not launched properly on host during its installation to rhevm, I had no clue that something was wrong, everything was looking OK, this should not happen to our users

[root@dell-r210ii-06 ~]# service neutron-linuxbridge-agent status
neutron-linuxbridge-agent dead but pid file exists


root@dell-r210ii-06 ~]# cat /var/log/neutron/linuxbridge-agent.log 
2014-05-23 09:31:50.824 32139 INFO neutron.common.config [-] Logging enabled!
2014-05-23 09:31:50.824 32139 INFO neutron.plugins.linuxbridge.agent.linuxbridge_neutron_agent [-] Interface mappings: {}
2014-05-23 09:31:50.954 32139 INFO neutron.plugins.linuxbridge.agent.linuxbridge_neutron_agent [-] RPC agent_id: lb90e2ba0428c0
2014-05-23 09:31:50.959 32139 CRITICAL neutron [-] No module named openstack.common.rpc.impl_qpid
2014-05-23 09:31:50.959 32139 TRACE neutron Traceback (most recent call last):
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/bin/neutron-linuxbridge-agent", line 10, in <module>
2014-05-23 09:31:50.959 32139 TRACE neutron     sys.exit(main())
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/plugins/linuxbridge/agent/linuxbridge_neutron_agent.py", line 981, in main
2014-05-23 09:31:50.959 32139 TRACE neutron     root_helper)
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/plugins/linuxbridge/agent/linuxbridge_neutron_agent.py", line 780, in __init__
2014-05-23 09:31:50.959 32139 TRACE neutron     self.setup_rpc(interface_mappings.values())
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/plugins/linuxbridge/agent/linuxbridge_neutron_agent.py", line 825, in setup_rpc
2014-05-23 09:31:50.959 32139 TRACE neutron     consumers)
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/agent/rpc.py", line 43, in create_consumers
2014-05-23 09:31:50.959 32139 TRACE neutron     connection = rpc.create_connection(new=True)
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/__init__.py", line 96, in create_connection
2014-05-23 09:31:50.959 32139 TRACE neutron     return _get_impl().create_connection(CONF, new=new)
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/openstack/common/rpc/__init__.py", line 306, in _get_impl
2014-05-23 09:31:50.959 32139 TRACE neutron     _RPCIMPL = importutils.import_module(impl)
2014-05-23 09:31:50.959 32139 TRACE neutron   File "/usr/lib/python2.6/site-packages/neutron/openstack/common/importutils.py", line 59, in import_module
2014-05-23 09:31:50.959 32139 TRACE neutron     __import__(import_str)
2014-05-23 09:31:50.959 32139 TRACE neutron ImportError: No module named openstack.common.rpc.impl_qpid
2014-05-23 09:31:50.959 32139 TRACE neutron

Comment 1 Alon Bar-Lev 2014-05-23 15:17:56 UTC
I am unsure I understand, moti, I am sure you will.

I also do not like we are working in parallel on upstream bugs on downstream. downstream bugs should be specific to downstream or customers.

Comment 2 Nir Yechiel 2014-05-29 14:03:16 UTC
As we would like to focus on Open vSwitch and remove the Linux bridge plugin, can you please retest this with Open vSwitch and change this RFE for the openvswitch-agent?

Thanks,
Nir

Comment 3 Martin Pavlik 2014-06-05 14:45:48 UTC
neutron-openvswitch-agent is the same case

[root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
neutron-openvswitch-agent (pid  14496) is running...
[root@dell-r210ii-05 ~]# kill -9 14496
[root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
neutron-openvswitch-agent dead but pid file exists
[root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
neutron-openvswitch-agent dead but pid file exists

Comment 4 Nir Yechiel 2014-06-05 17:30:43 UTC
(In reply to Martin Pavlik from comment #3)
> neutron-openvswitch-agent is the same case
> 
> [root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
> neutron-openvswitch-agent (pid  14496) is running...
> [root@dell-r210ii-05 ~]# kill -9 14496
> [root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
> neutron-openvswitch-agent dead but pid file exists
> [root@dell-r210ii-05 ~]# service neutron-openvswitch-agent status
> neutron-openvswitch-agent dead but pid file exists

Thanks Martin

Comment 5 Antoni Segura Puimedon 2014-10-10 15:12:13 UTC
I believe that we should probably have a vdsm caps (or better, stats) hook that reports about the agents that are running in the Host. Then, the engine code that handles vdsStats can generate the appropriate event (probably refuse to schedule a VM with the external provider network to that faulty Host too).

Comment 7 Sandro Bonazzola 2016-01-14 12:57:23 UTC
Dan, who's going to own this on network team?

Comment 8 Dan Kenigsberg 2016-01-17 12:27:52 UTC
It makes sense to keep this on ydary until it receives a planning ack

Comment 9 Dan Kenigsberg 2016-01-17 12:29:43 UTC
and in my opinion, tightening the neutron integration should not be high on our agenda right now.

Comment 11 Red Hat Bugzilla Rules Engine 2016-07-20 10:02:21 UTC
Planning has indicated this request is declined. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.